#ifndef SPLINE_H
#define SPLINE_H
/* Generic header for all modules */

#include <math.h>
#include <stdio.h>
#include <string.h>
#include <limits.h>
#include "config.h"

#define MAX_SPLINE_ENTRIES 256

#define LINEAR_SPLINE    1
#define QUADRATIC_SPLINE 2
#define CUBIC_SPLINE     3

SPLINE2 *Create_Spline(int typ);
SPLINE2 *Copy_Spline(SPLINE2 *);
void Destroy_Spline(SPLINE2*);
int Insert_Spline_Entry(SPLINE2 *sp,DBL p,VECTOR v);
DBL Get_Spline_Val(SPLINE2 *sp,DBL p,VECTOR v);
#endif



